This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 740296 - [abrt] clang-2.8-12.fc15: Process /usr/bin/clang was killed by signal 11 (SIGSEGV)
[abrt] clang-2.8-12.fc15: Process /usr/bin/clang was killed by signal 11 (SIG...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
abrt_hash:999e6a27342a6ba6dd57c82fbc8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-21 11:04 EDT by Slawomir Czarko
Modified: 2012-08-07 13:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:22:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Slawomir Czarko 2011-09-21 11:04:18 EDT
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        /usr/bin/clang -cc1 -triple i386-redhat-linux-gnu -S -disable-free -disable-llvm-verifier -main-file-name a.cpp -mrelocation-model static -mdisable-fp-elim -mconstructor-aliases -target-cpu pentium4 -target-linker-version 2.21.51.0.6 -resource-dir /usr/lib/clang/2.8 -std=c++0x -ferror-limit 19 -fmessage-length 190 -fexceptions -fgnu-runtime -fdiagnostics-show-option -fcolor-diagnostics -o /tmp/cc-N92Dvh.s -x c++ a.cpp
component:      llvm
crash_function: clang::ASTContext::getCanonicalType(clang::QualType)
executable:     /usr/bin/clang
kernel:         2.6.40.4-5.scw20110920.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        clang-2.8-12.fc15
reason:         Process /usr/bin/clang was killed by signal 11 (SIGSEGV)
time:           Wed Sep 21 16:55:08 2011
uid:            2026
username:       slawomir

backtrace:
:[New LWP 19582]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/bin/clang -cc1 -triple i386-redhat-linux-gnu -S -disable-free -disable-llv'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x086ec449 in clang::ASTContext::getCanonicalType(clang::QualType) ()
:
:Thread 1 (Thread 0xb78c16d0 (LWP 19582)):
:#0  0x086ec449 in clang::ASTContext::getCanonicalType(clang::QualType) ()
:No symbol table info available.
:#1  0x0852cb6a in clang::Sema::CheckClassTemplatePartialSpecializationArgs(clang::TemplateParameterList*, clang::TemplateArgumentListBuilder const&, bool&) ()
:No symbol table info available.
:#2  0x085385b9 in clang::Sema::ActOnClassTemplateSpecialization(clang::Scope*, unsigned int, clang::Sema::TagUseKind, clang::SourceLocation, clang::CXXScopeSpec&, clang::OpaquePtr<clang::TemplateName>, clang::SourceLocation, clang::SourceLocation, clang::ASTTemplateArgsPtr, clang::SourceLocation, clang::AttributeList*, clang::ASTMultiPtr<clang::TemplateParameterList*>) ()
:No symbol table info available.
:#3  0x083bd632 in clang::Parser::ParseClassSpecifier(clang::tok::TokenKind, clang::SourceLocation, clang::DeclSpec&, clang::Parser::ParsedTemplateInfo const&, clang::AccessSpecifier, bool) ()
:No symbol table info available.
:#4  0x083ababb in clang::Parser::ParseDeclarationSpecifiers(clang::DeclSpec&, clang::Parser::ParsedTemplateInfo const&, clang::AccessSpecifier, clang::Parser::DeclSpecContext) ()
:No symbol table info available.
:#5  0x083d57d5 in clang::Parser::ParseSingleDeclarationAfterTemplate(unsigned int, clang::Parser::ParsedTemplateInfo const&, clang::Parser::ParsingDeclRAIIObject&, clang::SourceLocation&, clang::AccessSpecifier) ()
:No symbol table info available.
:#6  0x083d864a in clang::Parser::ParseTemplateDeclarationOrSpecialization(unsigned int, clang::SourceLocation&, clang::AccessSpecifier) ()
:No symbol table info available.
:#7  0x083d8ff9 in clang::Parser::ParseDeclarationStartingWithTemplate(unsigned int, clang::SourceLocation&, clang::AccessSpecifier) ()
:No symbol table info available.
:#8  0x083b0031 in clang::Parser::ParseDeclaration(unsigned int, clang::SourceLocation&, clang::CXX0XAttributeList) ()
:No symbol table info available.
:#9  0x083a4dee in clang::Parser::ParseExternalDeclaration(clang::CXX0XAttributeList, clang::Parser::ParsingDeclSpec*) ()
:No symbol table info available.
:#10 0x083b9ba3 in clang::Parser::ParseNamespace(unsigned int, clang::SourceLocation&, clang::SourceLocation) ()
:No symbol table info available.
:#11 0x083b00d9 in clang::Parser::ParseDeclaration(unsigned int, clang::SourceLocation&, clang::CXX0XAttributeList) ()
:No symbol table info available.
:#12 0x083a4dee in clang::Parser::ParseExternalDeclaration(clang::CXX0XAttributeList, clang::Parser::ParsingDeclSpec*) ()
:No symbol table info available.
:#13 0x083a5631 in clang::Parser::ParseTopLevelDecl(clang::OpaquePtr<clang::DeclGroupRef>&) ()
:No symbol table info available.
:#14 0x08386e94 in clang::ParseAST(clang::Sema&, bool) ()
:No symbol table info available.
:#15 0x08182205 in clang::ASTFrontendAction::ExecuteAction() ()
:No symbol table info available.
:#16 0x0825c303 in clang::CodeGenAction::ExecuteAction() ()
:No symbol table info available.
:#17 0x08182598 in clang::FrontendAction::Execute() ()
:No symbol table info available.
:#18 0x0816ecf3 in clang::CompilerInstance::ExecuteAction(clang::FrontendAction&) ()
:No symbol table info available.
:#19 0x08157b64 in clang::ExecuteCompilerInvocation(clang::CompilerInstance*) ()
:No symbol table info available.
:#20 0x0815056e in cc1_main(char const**, char const**, char const*, void*) ()
:No symbol table info available.
:#21 0x0814def9 in main ()
:No symbol table info available.
:From        To          Syms Read   Shared Object Library
:0x004d47d0  0x00f1354c  Yes         /usr/lib/llvm/libLLVM-2.8.so
:0x4936a600  0x49375d6c  Yes         /lib/libpthread-2.14.so
:0x41036000  0x4103965c  Yes         /usr/lib/libffi.so.5
:0x49333a60  0x49334a8c  Yes         /lib/libdl-2.14.so
:0x49826760  0x49899fdb  Yes         /usr/lib/libstdc++.so.6.0.16
:0x4933d470  0x49358b4c  Yes         /lib/libm-2.14.so
:0x49383f30  0x4939ac5c  Yes         /lib/libgcc_s-4.6.0-20110603.so.1
:0x491bbd10  0x492d9d24  Yes         /lib/libc-2.14.so
:0x49184850  0x4919baff  Yes         /lib/ld-2.14.so
:0x002d3400  0x002d3428  Yes         /lib/modules/2.6.40.4-5.scw20110920.fc15.i686.PAE/vdso/vdso32-sysenter.so
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:eax            0x0	0
:ecx            0x9054570	151340400
:edx            0x0	0
:ebx            0x89319a8	143858088
:esp            0xbfb3cc20	0xbfb3cc20
:ebp            0x0	0x0
:esi            0xbfb3cccc	-1078735668
:edi            0x9aa96f0	162174704
:eip            0x86ec449	0x86ec449 <clang::ASTContext::getCanonicalType(clang::QualType)+57>
:eflags         0x10246	[ PF ZF IF RF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function _ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE:
:   0x086ec410 <+0>:	lea    -0x6c(%esp),%esp
:   0x086ec414 <+4>:	mov    0x78(%esp),%eax
:   0x086ec418 <+8>:	mov    %ebp,0x68(%esp)
:   0x086ec41c <+12>:	mov    %eax,%edx
:   0x086ec41e <+14>:	mov    %eax,%ebp
:   0x086ec420 <+16>:	mov    %ebx,0x5c(%esp)
:   0x086ec424 <+20>:	and    $0x3,%ebp
:   0x086ec427 <+23>:	call   0x81534e5
:   0x086ec42c <+28>:	add    $0x24557c,%ebx
:   0x086ec432 <+34>:	and    $0xfffffff8,%edx
:   0x086ec435 <+37>:	test   $0x4,%al
:   0x086ec437 <+39>:	mov    %esi,0x60(%esp)
:   0x086ec43b <+43>:	mov    %edi,0x64(%esp)
:   0x086ec43f <+47>:	mov    0x70(%esp),%esi
:   0x086ec443 <+51>:	jne    0x86ec618 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+520>
:=> 0x086ec449 <+57>:	mov    0x4(%edx),%edx
:   0x086ec44c <+60>:	test   %ebp,%ebp
:   0x086ec44e <+62>:	mov    %edx,0x48(%esp)
:   0x086ec452 <+66>:	je     0x86ec610 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+512>
:   0x086ec458 <+72>:	lea    0x48(%esp),%eax
:   0x086ec45c <+76>:	mov    %eax,(%esp)
:   0x086ec45f <+79>:	mov    %edx,0x28(%esp)
:   0x086ec463 <+83>:	call   0x816cbe0 <_ZNK5clang8QualType10getTypePtrEv>
:   0x086ec468 <+88>:	mov    %eax,%edi
:   0x086ec46a <+90>:	mov    0x28(%esp),%edx
:   0x086ec46e <+94>:	movzbl 0x8(%eax),%eax
:   0x086ec472 <+98>:	cmp    $0x7,%eax
:   0x086ec475 <+101>:	je     0x86ec4d0 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+192>
:   0x086ec477 <+103>:	cmp    $0x9,%eax
:   0x086ec47a <+106>:	je     0x86ec4d0 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+192>
:   0x086ec47c <+108>:	cmp    $0x8,%eax
:   0x086ec47f <+111>:	je     0x86ec4d0 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+192>
:   0x086ec481 <+113>:	cmp    $0xa,%eax
:   0x086ec484 <+116>:	je     0x86ec4d0 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+192>
:   0x086ec486 <+118>:	mov    %edx,0x8(%esp)
:   0x086ec48a <+122>:	mov    0x74(%esp),%edx
:   0x086ec48e <+126>:	lea    0x3c(%esp),%eax
:   0x086ec492 <+130>:	mov    %ebp,0xc(%esp)
:   0x086ec496 <+134>:	mov    %eax,(%esp)
:   0x086ec499 <+137>:	mov    %edx,0x4(%esp)
:   0x086ec49d <+141>:	call   0x8211fa0 <_ZN5clang10ASTContext16getQualifiedTypeENS_8QualTypeENS_10QualifiersE>
:   0x086ec4a2 <+146>:	lea    -0x4(%esp),%esp
:   0x086ec4a6 <+150>:	mov    0x3c(%esp),%eax
:   0x086ec4aa <+154>:	mov    %eax,(%esi)
:   0x086ec4ac <+156>:	lea    0x0(%esi,%eiz,1),%esi
:   0x086ec4b0 <+160>:	mov    %esi,%eax
:   0x086ec4b2 <+162>:	mov    0x5c(%esp),%ebx
:   0x086ec4b6 <+166>:	mov    0x60(%esp),%esi
:   0x086ec4ba <+170>:	mov    0x64(%esp),%edi
:   0x086ec4be <+174>:	mov    0x68(%esp),%ebp
:   0x086ec4c2 <+178>:	lea    0x6c(%esp),%esp
:   0x086ec4c6 <+182>:	ret    $0x4
:   0x086ec4c9 <+185>:	lea    0x0(%esi,%eiz,1),%esi
:   0x086ec4d0 <+192>:	test   $0xfffffffc,%ebp
:   0x086ec4d6 <+198>:	mov    0x10(%edi),%edx
:   0x086ec4d9 <+201>:	jne    0x86ec5c0 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+432>
:   0x086ec4df <+207>:	mov    %edx,%eax
:   0x086ec4e1 <+209>:	and    $0xfffffffc,%edx
:   0x086ec4e4 <+212>:	or     %ebp,%eax
:   0x086ec4e6 <+214>:	lea    0x3c(%esp),%ebp
:   0x086ec4ea <+218>:	and    $0x3,%eax
:   0x086ec4ed <+221>:	or     %edx,%eax
:   0x086ec4ef <+223>:	mov    0x74(%esp),%edx
:   0x086ec4f3 <+227>:	mov    %eax,0x8(%esp)
:   0x086ec4f7 <+231>:	mov    %edx,0x4(%esp)
:   0x086ec4fb <+235>:	mov    %ebp,(%esp)
:   0x086ec4fe <+238>:	call   0x86ec410 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE>
:   0x086ec503 <+243>:	lea    -0x4(%esp),%esp
:   0x086ec507 <+247>:	mov    0x3c(%esp),%eax
:   0x086ec50b <+251>:	mov    %eax,0x24(%esp)
:   0x086ec50f <+255>:	movzbl 0x8(%edi),%eax
:   0x086ec513 <+259>:	cmp    $0x7,%eax
:   0x086ec516 <+262>:	je     0x86ec650 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+576>
:   0x086ec51c <+268>:	cmp    $0x8,%eax
:   0x086ec51f <+271>:	je     0x86ec698 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+648>
:   0x086ec525 <+277>:	cmp    $0xa,%eax
:   0x086ec528 <+280>:	je     0x86ec6d8 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+712>
:   0x086ec52e <+286>:	mov    0x1c(%edi),%eax
:   0x086ec531 <+289>:	mov    0x20(%edi),%edx
:   0x086ec534 <+292>:	mov    %eax,0x30(%esp)
:   0x086ec538 <+296>:	mov    %edx,0x34(%esp)
:   0x086ec53c <+300>:	movzbl 0x14(%edi),%ecx
:   0x086ec540 <+304>:	mov    %ecx,%eax
:   0x086ec542 <+306>:	shr    $0x2,%al
:   0x086ec545 <+309>:	mov    %eax,%edx
:   0x086ec547 <+311>:	mov    %ecx,%eax
:   0x086ec549 <+313>:	mov    0x18(%edi),%ecx
:   0x086ec54c <+316>:	and    $0x7,%edx
:   0x086ec54f <+319>:	and    $0x3,%eax
:   0x086ec552 <+322>:	test   %ecx,%ecx
:   0x086ec554 <+324>:	mov    %edx,0x2c(%esp)
:   0x086ec558 <+328>:	mov    %eax,0x38(%esp)
:   0x086ec55c <+332>:	je     0x86ec573 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+355>
:   0x086ec55e <+334>:	mov    0x4(%ecx),%edx
:   0x086ec561 <+337>:	mov    %edx,%eax
:   0x086ec563 <+339>:	xor    %al,%al
:   0x086ec565 <+341>:	lea    0x100(%eax),%edi
:   0x086ec56b <+347>:	movzbl %dl,%eax
:   0x086ec56e <+350>:	or     %edi,%eax
:   0x086ec570 <+352>:	mov    %eax,0x4(%ecx)
:   0x086ec573 <+355>:	mov    0x34(%esp),%edx
:   0x086ec577 <+359>:	mov    0x30(%esp),%eax
:   0x086ec57b <+363>:	mov    %edx,0x1c(%esp)
:   0x086ec57f <+367>:	mov    0x2c(%esp),%edx
:   0x086ec583 <+371>:	mov    %edx,0x14(%esp)
:   0x086ec587 <+375>:	mov    0x24(%esp),%edx
:   0x086ec58b <+379>:	mov    %eax,0x18(%esp)
:   0x086ec58f <+383>:	mov    %edx,0x8(%esp)
:   0x086ec593 <+387>:	mov    0x38(%esp),%eax
:   0x086ec597 <+391>:	mov    0x74(%esp),%edx
:   0x086ec59b <+395>:	mov    %eax,0x10(%esp)
:   0x086ec59f <+399>:	mov    %ecx,0xc(%esp)
:   0x086ec5a3 <+403>:	mov    %edx,0x4(%esp)
:   0x086ec5a7 <+407>:	mov    %ebp,(%esp)
:   0x086ec5aa <+410>:	call   0x86ec120 <_ZN5clang10ASTContext20getVariableArrayTypeENS_8QualTypeEPNS_4ExprENS_9ArrayType17ArraySizeModifierEjNS_11SourceRangeE>
:   0x086ec5af <+415>:	lea    -0x4(%esp),%esp
:   0x086ec5b3 <+419>:	mov    0x3c(%esp),%eax
:   0x086ec5b7 <+423>:	mov    %eax,(%esi)
:   0x086ec5b9 <+425>:	jmp    0x86ec4b0 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+160>
:   0x086ec5be <+430>:	xchg   %ax,%ax
:   0x086ec5c0 <+432>:	mov    %edx,%eax
:   0x086ec5c2 <+434>:	movl   $0x0,0x44(%esp)
:   0x086ec5ca <+442>:	and    $0x3,%eax
:   0x086ec5cd <+445>:	or     %ebp,%eax
:   0x086ec5cf <+447>:	mov    %eax,0x40(%esp)
:   0x086ec5d3 <+451>:	mov    %edx,%eax
:   0x086ec5d5 <+453>:	and    $0xfffffff8,%eax
:   0x086ec5d8 <+456>:	and    $0x4,%edx
:   0x086ec5db <+459>:	jne    0x86ec778 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+872>
:   0x086ec5e1 <+465>:	mov    0x40(%esp),%edx
:   0x086ec5e5 <+469>:	lea    0x3c(%esp),%ebp
:   0x086ec5e9 <+473>:	mov    %edx,0xc(%esp)
:   0x086ec5ed <+477>:	mov    0x74(%esp),%edx
:   0x086ec5f1 <+481>:	mov    %eax,0x8(%esp)
:   0x086ec5f5 <+485>:	mov    %edx,0x4(%esp)
:   0x086ec5f9 <+489>:	mov    %ebp,(%esp)
:   0x086ec5fc <+492>:	call   0x86e4930 <_ZN5clang10ASTContext14getExtQualTypeEPKNS_4TypeENS_10QualifiersE>
:   0x086ec601 <+497>:	lea    -0x4(%esp),%esp
:   0x086ec605 <+501>:	mov    0x3c(%esp),%eax
:   0x086ec609 <+505>:	jmp    0x86ec4ef <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+223>
:   0x086ec60e <+510>:	xchg   %ax,%ax
:   0x086ec610 <+512>:	mov    %edx,(%esi)
:   0x086ec612 <+514>:	jmp    0x86ec4b0 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+160>
:   0x086ec617 <+519>:	nop
:   0x086ec618 <+520>:	mov    0xc(%edx),%eax
:   0x086ec61b <+523>:	test   $0xfffffff8,%eax
:   0x086ec620 <+528>:	je     0x86ec63f <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+559>
:   0x086ec622 <+530>:	mov    %eax,%ecx
:   0x086ec624 <+532>:	and    $0x7,%ecx
:   0x086ec627 <+535>:	or     %ecx,%ebp
:   0x086ec629 <+537>:	test   $0xffffffe0,%eax
:   0x086ec62e <+542>:	je     0x86ec637 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+551>
:   0x086ec630 <+544>:	mov    %eax,%ecx
:   0x086ec632 <+546>:	and    $0xffffffe0,%ecx
:   0x086ec635 <+549>:	or     %ecx,%ebp
:   0x086ec637 <+551>:	and    $0x18,%eax
:   0x086ec63a <+554>:	je     0x86ec641 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+561>
:   0x086ec63c <+556>:	and    $0xffffffe7,%ebp
:   0x086ec63f <+559>:	or     %eax,%ebp
:   0x086ec641 <+561>:	mov    0x8(%edx),%edx
:   0x086ec644 <+564>:	jmp    0x86ec449 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+57>
:   0x086ec649 <+569>:	lea    0x0(%esi,%eiz,1),%esi
:   0x086ec650 <+576>:	movzbl 0x14(%edi),%ecx
:   0x086ec654 <+580>:	mov    0x74(%esp),%edx
:   0x086ec658 <+584>:	mov    %ecx,%eax
:   0x086ec65a <+586>:	add    $0x18,%edi
:   0x086ec65d <+589>:	shr    $0x2,%al
:   0x086ec660 <+592>:	and    $0x3,%ecx
:   0x086ec663 <+595>:	and    $0x7,%eax
:   0x086ec666 <+598>:	mov    %ecx,0x10(%esp)
:   0x086ec66a <+602>:	mov    %eax,0x14(%esp)
:   0x086ec66e <+606>:	mov    0x24(%esp),%eax
:   0x086ec672 <+610>:	mov    %eax,0x8(%esp)
:   0x086ec676 <+614>:	mov    %edi,0xc(%esp)
:   0x086ec67a <+618>:	mov    %edx,0x4(%esp)
:   0x086ec67e <+622>:	mov    %ebp,(%esp)
:   0x086ec681 <+625>:	call   0x86efa40 <_ZN5clang10ASTContext20getConstantArrayTypeENS_8QualTypeERKN4llvm5APIntENS_9ArrayType17ArraySizeModifierEj>
:   0x086ec686 <+630>:	lea    -0x4(%esp),%esp
:   0x086ec68a <+634>:	mov    0x3c(%esp),%eax
:   0x086ec68e <+638>:	mov    %eax,(%esi)
:   0x086ec690 <+640>:	jmp    0x86ec4b0 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+160>
:   0x086ec695 <+645>:	lea    0x0(%esi),%esi
:   0x086ec698 <+648>:	movzbl 0x14(%edi),%eax
:   0x086ec69c <+652>:	mov    0x74(%esp),%edx
:   0x086ec6a0 <+656>:	mov    %eax,%ecx
:   0x086ec6a2 <+658>:	and    $0x3,%eax
:   0x086ec6a5 <+661>:	shr    $0x2,%cl
:   0x086ec6a8 <+664>:	mov    %eax,0xc(%esp)
:   0x086ec6ac <+668>:	and    $0x7,%ecx
:   0x086ec6af <+671>:	mov    0x24(%esp),%eax
:   0x086ec6b3 <+675>:	mov    %eax,0x8(%esp)
:   0x086ec6b7 <+679>:	mov    %ecx,0x10(%esp)
:   0x086ec6bb <+683>:	mov    %edx,0x4(%esp)
:   0x086ec6bf <+687>:	mov    %ebp,(%esp)
:   0x086ec6c2 <+690>:	call   0x86ef250 <_ZN5clang10ASTContext22getIncompleteArrayTypeENS_8QualTypeENS_9ArrayType17ArraySizeModifierEj>
:   0x086ec6c7 <+695>:	lea    -0x4(%esp),%esp
:   0x086ec6cb <+699>:	mov    0x3c(%esp),%eax
:   0x086ec6cf <+703>:	mov    %eax,(%esi)
:   0x086ec6d1 <+705>:	jmp    0x86ec4b0 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+160>
:   0x086ec6d6 <+710>:	xchg   %ax,%ax
:   0x086ec6d8 <+712>:	mov    0x20(%edi),%eax
:   0x086ec6db <+715>:	mov    0x24(%edi),%edx
:   0x086ec6de <+718>:	mov    %eax,0x30(%esp)
:   0x086ec6e2 <+722>:	mov    %edx,0x34(%esp)
:   0x086ec6e6 <+726>:	movzbl 0x14(%edi),%ecx
:   0x086ec6ea <+730>:	mov    %ecx,%eax
:   0x086ec6ec <+732>:	shr    $0x2,%al
:   0x086ec6ef <+735>:	mov    %eax,%edx
:   0x086ec6f1 <+737>:	mov    %ecx,%eax
:   0x086ec6f3 <+739>:	mov    0x1c(%edi),%ecx
:   0x086ec6f6 <+742>:	and    $0x7,%edx
:   0x086ec6f9 <+745>:	and    $0x3,%eax
:   0x086ec6fc <+748>:	test   %ecx,%ecx
:   0x086ec6fe <+750>:	mov    %edx,0x2c(%esp)
:   0x086ec702 <+754>:	mov    %eax,0x38(%esp)
:   0x086ec706 <+758>:	je     0x86ec721 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+785>
:   0x086ec708 <+760>:	mov    0x4(%ecx),%ebp
:   0x086ec70b <+763>:	mov    %ebp,%eax
:   0x086ec70d <+765>:	xor    %al,%al
:   0x086ec70f <+767>:	lea    0x100(%eax),%edi
:   0x086ec715 <+773>:	mov    %ebp,%eax
:   0x086ec717 <+775>:	and    $0xff,%eax
:   0x086ec71c <+780>:	or     %edi,%eax
:   0x086ec71e <+782>:	mov    %eax,0x4(%ecx)
:   0x086ec721 <+785>:	mov    0x34(%esp),%edx
:   0x086ec725 <+789>:	mov    0x30(%esp),%eax
:   0x086ec729 <+793>:	mov    %edx,0x1c(%esp)
:   0x086ec72d <+797>:	mov    0x2c(%esp),%edx
:   0x086ec731 <+801>:	mov    %edx,0x14(%esp)
:   0x086ec735 <+805>:	mov    0x24(%esp),%edx
:   0x086ec739 <+809>:	mov    %eax,0x18(%esp)
:   0x086ec73d <+813>:	mov    %edx,0x8(%esp)
:   0x086ec741 <+817>:	mov    0x38(%esp),%eax
:   0x086ec745 <+821>:	mov    0x74(%esp),%edx
:   0x086ec749 <+825>:	lea    0x4c(%esp),%edi
:   0x086ec74d <+829>:	mov    %eax,0x10(%esp)
:   0x086ec751 <+833>:	mov    %ecx,0xc(%esp)
:   0x086ec755 <+837>:	mov    %edx,0x4(%esp)
:   0x086ec759 <+841>:	mov    %edi,(%esp)
:   0x086ec75c <+844>:	call   0x86ef600 <_ZN5clang10ASTContext26getDependentSizedArrayTypeENS_8QualTypeEPNS_4ExprENS_9ArrayType17ArraySizeModifierEjNS_11SourceRangeE>
:   0x086ec761 <+849>:	lea    -0x4(%esp),%esp
:   0x086ec765 <+853>:	mov    %edi,(%esp)
:   0x086ec768 <+856>:	call   0x816cbe0 <_ZNK5clang8QualType10getTypePtrEv>
:   0x086ec76d <+861>:	mov    0x4(%eax),%eax
:   0x086ec770 <+864>:	mov    %eax,(%esi)
:   0x086ec772 <+866>:	jmp    0x86ec4b0 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+160>
:   0x086ec777 <+871>:	nop
:   0x086ec778 <+872>:	mov    0x4(%eax),%edx
:   0x086ec77b <+875>:	mov    %edx,0x44(%esp)
:   0x086ec77f <+879>:	mov    0xc(%eax),%edx
:   0x086ec782 <+882>:	mov    %edx,0x4(%esp)
:   0x086ec786 <+886>:	lea    0x40(%esp),%edx
:   0x086ec78a <+890>:	mov    %edx,(%esp)
:   0x086ec78d <+893>:	mov    %eax,0x28(%esp)
:   0x086ec791 <+897>:	call   0x8700ef0 <_ZN5clang10Qualifiers13addQualifiersES0_>
:   0x086ec796 <+902>:	mov    0x28(%esp),%eax
:   0x086ec79a <+906>:	mov    0x8(%eax),%eax
:   0x086ec79d <+909>:	jmp    0x86ec5e1 <_ZN5clang10ASTContext16getCanonicalTypeENS_8QualTypeE+465>
:End of assembler dump.

build_ids:
:9c04594db13fd8fd6e899a12f1d5cef5b52798cc
:97d55ffd6efc5eed698afadb6b8a5d52a07cb771
:837e1ca00132cf34660139487cceaddde3d607c5
:528f6e956b88ec110425ce2968ac0ad5d1c3b0d9
:eadee775fea6decdfedb95dde772d9f89ebac5fd
:25c5e67291f34713a82cdf92147adec423771905
:1b68f729f6bfa773ceb671e60f136f23c520a7dd
:5a4b4eca5a07087498a211616ade557aa901d893
:0472aebd0f9529cebdfff9d72c5b3c9cbd6194ed
:048ef3a8c0fd446b1e47e0fe333cd794bf53e812
:44f38d4ca151785c4e15df0617a51ba60f2b3aad

comment:
:I'm compiling this code:
:
:#define BOOST_ENABLE_ASSERT_HANDLER
:
:#include <boost/format.hpp>
:
:
:namespace boost
:{
:
:void assertion_failed(
:            char const * expr,
:            char const * function,
:            char const * file,
:            const long   line
:    )
:{
:    (void)expr;
:    (void)function;
:    (void)file;
:    (void)line;
:}
:
:} // namespace boost
:
:
:clang++ -std=c++0x -o a.o a.cpp
:
:clang++ crashes. Without -std=c++0x the compilation errors are also emitted but there's no crash.

dso_list:
:/lib/libm-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313086958
:/usr/include/c++/4.6.0/bits/vector.tcc libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/stl_bvector.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/libio.h glibc-headers-2.14-5.i686 (Fedora Project) 1313086959
:/usr/include/unistd.h glibc-headers-2.14-5.i686 (Fedora Project) 1313086959
:/usr/include/pthread.h glibc-headers-2.14-5.i686 (Fedora Project) 1313086959
:/usr/include/c++/4.6.0/bits/random.tcc libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-1.fc15.i686 (Fedora Project) 1316417927
:/usr/include/c++/4.6.0/ostream libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.i686 (Fedora Project) 1312788024
:/usr/include/c++/4.6.0/bits/locale_facets.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/stl_iterator.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/bin/clang clang-2.8-12.fc15.i686 (Fedora Project) 1316612743
:/usr/include/c++/4.6.0/tuple libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/locale_facets_nonio.tcc libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/stdlib.h glibc-headers-2.14-5.i686 (Fedora Project) 1313086959
:/usr/include/c++/4.6.0/bits/stl_algobase.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/locale_classes.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/functional libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/lib/libpthread-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313086958
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313086958
:/usr/include/boost/config/suffix.hpp boost-devel-1.46.0-3.fc15.i686 (Fedora Project) 1309944976
:/usr/include/c++/4.6.0/bits/basic_string.tcc libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/ios_base.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/algorithmfwd.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/lib/llvm/libLLVM-2.8.so llvm-libs-2.8-12.fc15.i686 (Fedora Project) 1314083020
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313086958
:/usr/include/c++/4.6.0/bits/basic_string.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/stl_uninitialized.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/codecvt.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/random.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/type_traits libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/stl_heap.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/stl_vector.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/locale_facets.tcc libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/i686-redhat-linux/bits/gthr-default.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/cmath libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/bits/confname.h glibc-headers-2.14-5.i686 (Fedora Project) 1313086959
:/usr/include/c++/4.6.0/bits/char_traits.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/locale_facets_nonio.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/bits/stl_function.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/wchar.h glibc-headers-2.14-5.i686 (Fedora Project) 1313086959
:/lib/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.i686 (Fedora Project) 1312788024
:/usr/include/c++/4.6.0/i686-redhat-linux/bits/c++config.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/lib/libdl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313086958
:/usr/include/c++/4.6.0/limits libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/c++/4.6.0/streambuf libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/lib/clang/2.8/include/stdint.h clang-2.8-12.fc15.i686 (Fedora Project) 1316612743
:/usr/include/c++/4.6.0/bits/stl_algo.h libstdc++-devel-4.6.0-10.fc15.i686 (Fedora Project) 1312788044
:/usr/include/stdio.h glibc-headers-2.14-5.i686 (Fedora Project) 1313086959
:/usr/include/boost/optional/optional.hpp boost-devel-1.46.0-3.fc15.i686 (Fedora Project) 1309944976

environ:
:SSH_AGENT_PID=2932
:XDG_SESSION_ID=2
:KDE_MULTIHEAD=false
:HOSTNAME=gaia.garous.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/gpg-rYyd8O/S.gpg-agent:2969:1
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:XDG_SESSION_COOKIE=d0cf1feab5dc83dae4376c5200000009-1316530697.239832-817794463
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/slawomir/.gtkrc-2.0:/home/slawomir/.gtkrc-2.0-kde4:/home/slawomir/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.75
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/slawomir/.gtkrc::/home/slawomir/.kde/share/config/gtkrc
:WINDOWID=85983271
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-WT67bc
:SHELL_SESSION_ID=af252237246e40009a7898ac7fea3736
:QTINC=/usr/lib/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=slawomir
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:CCACHE_DIR=/sandbox/slawomir/ccache
:SSH_AUTH_SOCK=/tmp/ssh-ZkapuR2825/agent.2825
:USERNAME=slawomir
:MAKE_MAX_JOBS=6
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3003,unix/unix:/tmp/.ICE-unix/3003
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/slawomir
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/slawomir/.local/bin:/home/slawomir/bin
:QT_IM_MODULE=xim
:PWD=/sandbox/slawomir/deve/repos/odsi-dynamic-development/delos-rpms/cyclades-core
:XMODIFIERS=@im=none
:KDE_SESSION_UID=2026
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=2817
:KDE_IS_PRELINKED=1
:GDM_LANG=
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/20
:GDMSESSION=kde-plasma
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/slawomir
:COLORFGBG=15;0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=slawomir
:CVS_RSH=ssh
:QTLIB=/usr/lib/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-GqqxtFZI6E,guid=966b38d8c926c00f2cf71753000001ac
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=7
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/slawomir
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/slawomir/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:GTK_IM_MODULE=gtk-im-context-simple
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/tmp/kde-slawomir/xauth-2026-_0
:_=/usr/bin/clang++
:OLDPWD=/sandbox/slawomir/deve/repos/odsi-dynamic-development

maps:
:002d3000-002d4000 r-xp 00000000 00:00 0          [vdso]
:002d4000-011b3000 r-xp 00000000 fd:01 656208     /usr/lib/llvm/libLLVM-2.8.so
:011b3000-0130f000 rw-p 00edf000 fd:01 656208     /usr/lib/llvm/libLLVM-2.8.so
:0130f000-0131b000 rw-p 00000000 00:00 0 
:08048000-0890f000 r-xp 00000000 fd:01 642271     /usr/bin/clang
:0890f000-08933000 rw-p 008c7000 fd:01 642271     /usr/bin/clang
:0901f000-09abb000 rw-p 00000000 00:00 0          [heap]
:41035000-4103a000 r-xp 00000000 fd:01 649840     /usr/lib/libffi.so.5.0.10
:4103a000-4103b000 rw-p 00005000 fd:01 649840     /usr/lib/libffi.so.5.0.10
:49184000-491a1000 r-xp 00000000 fd:01 4103       /lib/ld-2.14.so
:491a1000-491a2000 r--p 0001d000 fd:01 4103       /lib/ld-2.14.so
:491a2000-491a3000 rw-p 0001e000 fd:01 4103       /lib/ld-2.14.so
:491a5000-4932a000 r-xp 00000000 fd:01 5486       /lib/libc-2.14.so
:4932a000-4932b000 ---p 00185000 fd:01 5486       /lib/libc-2.14.so
:4932b000-4932d000 r--p 00185000 fd:01 5486       /lib/libc-2.14.so
:4932d000-4932e000 rw-p 00187000 fd:01 5486       /lib/libc-2.14.so
:4932e000-49331000 rw-p 00000000 00:00 0 
:49333000-49336000 r-xp 00000000 fd:01 24232      /lib/libdl-2.14.so
:49336000-49337000 r--p 00002000 fd:01 24232      /lib/libdl-2.14.so
:49337000-49338000 rw-p 00003000 fd:01 24232      /lib/libdl-2.14.so
:4933a000-49362000 r-xp 00000000 fd:01 28959      /lib/libm-2.14.so
:49362000-49363000 r--p 00028000 fd:01 28959      /lib/libm-2.14.so
:49363000-49364000 rw-p 00029000 fd:01 28959      /lib/libm-2.14.so
:49366000-4937c000 r-xp 00000000 fd:01 5488       /lib/libpthread-2.14.so
:4937c000-4937d000 r--p 00015000 fd:01 5488       /lib/libpthread-2.14.so
:4937d000-4937e000 rw-p 00016000 fd:01 5488       /lib/libpthread-2.14.so
:4937e000-49380000 rw-p 00000000 00:00 0 
:49382000-4939e000 r-xp 00000000 fd:01 28960      /lib/libgcc_s-4.6.0-20110603.so.1
:4939e000-4939f000 rw-p 0001b000 fd:01 28960      /lib/libgcc_s-4.6.0-20110603.so.1
:497de000-498c0000 r-xp 00000000 fd:01 533283     /usr/lib/libstdc++.so.6.0.16
:498c0000-498c4000 r--p 000e1000 fd:01 533283     /usr/lib/libstdc++.so.6.0.16
:498c4000-498c6000 rw-p 000e5000 fd:01 533283     /usr/lib/libstdc++.so.6.0.16
:498c6000-498cc000 rw-p 00000000 00:00 0 
:b75af000-b76b0000 rw-p 00000000 00:00 0 
:b76de000-b76e4000 r--p 00000000 fd:01 172750     /usr/include/c++/4.6.0/tuple
:b76e4000-b76f5000 r--p 00000000 fd:01 172656     /usr/include/c++/4.6.0/functional
:b76f5000-b770b000 r--p 00000000 fd:01 172347     /usr/include/c++/4.6.0/bits/random.tcc
:b770b000-b7731000 r--p 00000000 fd:01 172346     /usr/include/c++/4.6.0/bits/random.h
:b7731000-b773b000 r--p 00000000 fd:01 172411     /usr/include/c++/4.6.0/cmath
:b773b000-b7740000 r--p 00000000 fd:01 172368     /usr/include/c++/4.6.0/bits/stl_heap.h
:b7740000-b7746000 r--p 00000000 fd:01 172299     /usr/include/c++/4.6.0/bits/algorithmfwd.h
:b7746000-b777a000 r--p 00000000 fd:01 172362     /usr/include/c++/4.6.0/bits/stl_algo.h
:b777a000-b7782000 r--p 00000000 fd:01 576328     /usr/include/boost/optional/optional.hpp
:b7782000-b7787000 r--p 00000000 fd:01 172673     /usr/include/c++/4.6.0/ostream
:b7787000-b7792000 r--p 00000000 fd:01 172338     /usr/include/c++/4.6.0/bits/locale_facets_nonio.tcc
:b7792000-b7797000 r--p 00000000 fd:01 172312     /usr/include/c++/4.6.0/bits/codecvt.h
:b7797000-b77a8000 r--p 00000000 fd:01 172337     /usr/include/c++/4.6.0/bits/locale_facets_nonio.h
:b77a8000-b77b2000 r--p 00000000 fd:01 172336     /usr/include/c++/4.6.0/bits/locale_facets.tcc
:b77b2000-b77b9000 r--p 00000000 fd:01 172682     /usr/include/c++/4.6.0/streambuf
:b77b9000-b77c0000 r--p 00000000 fd:01 172330     /usr/include/c++/4.6.0/bits/ios_base.h
:b77c0000-b77d7000 r--p 00000000 fd:01 172335     /usr/include/c++/4.6.0/bits/locale_facets.h
:b77d7000-b77dd000 r--p 00000000 fd:01 172333     /usr/include/c++/4.6.0/bits/locale_classes.h
:b77dd000-b77e3000 r--p 00000000 fd:01 574499     /usr/include/boost/config/suffix.hpp
:b77e3000-b77ed000 r--p 00000000 fd:01 172308     /usr/include/c++/4.6.0/bits/basic_string.tcc
:b77ed000-b77f2000 r--p 00000000 fd:01 573925     /usr/include/libio.h
:b7824000-b7833000 r--p 00000000 fd:01 172665     /usr/include/c++/4.6.0/limits
:b7833000-b783c000 r--p 00000000 fd:01 573966     /usr/include/stdlib.h
:b783c000-b7842000 r--p 00000000 fd:01 161250     /usr/include/bits/confname.h
:b7842000-b784d000 r--p 00000000 fd:01 574065     /usr/include/unistd.h
:b784d000-b7857000 r--p 00000000 fd:01 573943     /usr/include/pthread.h
:b7857000-b785d000 r--p 00000000 fd:01 419632     /usr/include/c++/4.6.0/i686-redhat-linux/bits/gthr-default.h
:b785d000-b7878000 r--p 00000000 fd:01 172307     /usr/include/c++/4.6.0/bits/basic_string.h
:b7878000-b787e000 r--p 00000000 fd:01 172367     /usr/include/c++/4.6.0/bits/stl_function.h
:b787e000-b7884000 r--p 00000000 fd:01 667990     /usr/lib/clang/2.8/include/stdint.h
:b7884000-b788c000 r--p 00000000 fd:01 573964     /usr/include/stdio.h
:b788c000-b7894000 r--p 00000000 fd:01 574072     /usr/include/wchar.h
:b7894000-b7899000 r--p 00000000 fd:01 172311     /usr/include/c++/4.6.0/bits/char_traits.h
:b7899000-b789f000 r--p 00000000 fd:01 172398     /usr/include/c++/4.6.0/bits/vector.tcc
:b789f000-b78a6000 r--p 00000000 fd:01 172364     /usr/include/c++/4.6.0/bits/stl_bvector.h
:b78a6000-b78b2000 r--p 00000000 fd:01 172386     /usr/include/c++/4.6.0/bits/stl_vector.h
:b78b2000-b78b7000 r--p 00000000 fd:01 172385     /usr/include/c++/4.6.0/bits/stl_uninitialized.h
:b78b7000-b78c0000 r--p 00000000 fd:01 172369     /usr/include/c++/4.6.0/bits/stl_iterator.h
:b78c0000-b78c4000 rw-p 00000000 00:00 0 
:b78ca000-b78d3000 r--p 00000000 fd:01 172751     /usr/include/c++/4.6.0/type_traits
:b78d3000-b78df000 r--p 00000000 fd:01 419622     /usr/include/c++/4.6.0/i686-redhat-linux/bits/c++config.h
:b78df000-b78ea000 r--p 00000000 fd:01 172363     /usr/include/c++/4.6.0/bits/stl_algobase.h
:b78ea000-b78eb000 rw-p 00000000 00:00 0 
:bfb21000-bfb42000 rw-p 00000000 00:00 0          [stack]

var_log_messages:
:Sep 21 15:45:44 gaia yum[32377]: Installed: clang-2.8-12.fc15.i686
:Sep 21 15:52:28 gaia kernel: [82879.128526] clang[4077]: segfault at 4 ip 086ec449 sp bf8819f0 error 4 in clang[8048000+8c7000]
:Sep 21 15:52:28 gaia abrt[4078]: saved core dump of pid 4077 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-15:52:28-4077.new/coredump (11096064 bytes)
:Sep 21 15:55:31 gaia kernel: [83061.865409] clang[15035]: segfault at 4 ip 086ec449 sp bffbae80 error 4 in clang[8048000+8c7000]
:Sep 21 15:55:31 gaia abrt[15036]: saved core dump of pid 15035 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-15:55:31-15035.new/coredump (11100160 bytes)
:Sep 21 16:04:33 gaia kernel: [83604.245468] clang[28481]: segfault at 4 ip 086ec449 sp bf9ba0c0 error 4 in clang[8048000+8c7000]
:Sep 21 16:04:33 gaia abrt[28482]: saved core dump of pid 28481 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:04:33-28481.new/coredump (10964992 bytes)
:Sep 21 16:36:19 gaia kernel: [85509.791786] clang[7619]: segfault at 4 ip 086ec449 sp bfeb27b0 error 4 in clang[8048000+8c7000]
:Sep 21 16:36:19 gaia abrt[7620]: saved core dump of pid 7619 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:36:19-7619.new/coredump (13930496 bytes)
:Sep 21 16:37:13 gaia kernel: [85563.725604] clang[9818]: segfault at 4 ip 086ec449 sp bfecc870 error 4 in clang[8048000+8c7000]
:Sep 21 16:37:13 gaia abrt[9918]: saved core dump of pid 9818 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:37:13-9818.new/coredump (13930496 bytes)
:Sep 21 16:37:29 gaia kernel: [85579.712424] clang[15737]: segfault at 4 ip 086ec449 sp bfac7f70 error 4 in clang[8048000+8c7000]
:Sep 21 16:37:29 gaia abrt[15869]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:37:44 gaia kernel: [85595.194798] clang[18487]: segfault at 4 ip 086ec449 sp bfd26ca0 error 4 in clang[8048000+8c7000]
:Sep 21 16:37:44 gaia abrt[18488]: saved core dump of pid 18487 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:37:44-18487.new/coredump (13930496 bytes)
:Sep 21 16:38:26 gaia kernel: [85636.902525] clang[18519]: segfault at 4 ip 086ec449 sp bfa05860 error 4 in clang[8048000+8c7000]
:Sep 21 16:38:26 gaia abrt[18520]: saved core dump of pid 18519 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:38:26-18519.new/coredump (13930496 bytes)
:Sep 21 16:38:43 gaia kernel: [85654.001095] clang[18537]: segfault at 4 ip 086ec449 sp bff29040 error 4 in clang[8048000+8c7000]
:Sep 21 16:38:43 gaia abrt[18538]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:39:15 gaia kernel: [85686.516134] clang[18547]: segfault at 4 ip 086ec449 sp bfcad930 error 4 in clang[8048000+8c7000]
:Sep 21 16:39:15 gaia abrt[18548]: saved core dump of pid 18547 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:39:15-18547.new/coredump (13930496 bytes)
:Sep 21 16:42:39 gaia kernel: [85890.508579] clang[18593]: segfault at 4 ip 086ec449 sp bf86f8e0 error 4 in clang[8048000+8c7000]
:Sep 21 16:42:39 gaia abrt[18594]: saved core dump of pid 18593 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:42:39-18593.new/coredump (14340096 bytes)
:Sep 21 16:43:14 gaia kernel: [85925.329451] clang[18618]: segfault at 4 ip 086ec449 sp bfe123d0 error 4 in clang[8048000+8c7000]
:Sep 21 16:43:14 gaia abrt[18619]: saved core dump of pid 18618 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:43:14-18618.new/coredump (14336000 bytes)
:Sep 21 16:43:36 gaia kernel: [85947.645786] clang[18635]: segfault at 4 ip 086ec449 sp bfdb7af0 error 4 in clang[8048000+8c7000]
:Sep 21 16:43:37 gaia abrt[18636]: saved core dump of pid 18635 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:43:36-18635.new/coredump (14147584 bytes)
:Sep 21 16:43:55 gaia kernel: [85966.616833] clang[18652]: segfault at 4 ip 086ec449 sp bfac09c0 error 4 in clang[8048000+8c7000]
:Sep 21 16:43:55 gaia abrt[18653]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:44:04 gaia kernel: [85974.953155] clang[18660]: segfault at 4 ip 086ec449 sp bfe32560 error 4 in clang[8048000+8c7000]
:Sep 21 16:44:04 gaia abrt[18661]: saved core dump of pid 18660 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:44:04-18660.new/coredump (14147584 bytes)
:Sep 21 16:44:10 gaia kernel: [85981.504489] clang[18677]: segfault at 4 ip 086ec449 sp bffb0fe0 error 4 in clang[8048000+8c7000]
:Sep 21 16:44:10 gaia abrt[18678]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:44:17 gaia kernel: [85987.976992] clang[18679]: segfault at 4 ip 086ec449 sp bfc834c0 error 4 in clang[8048000+8c7000]
:Sep 21 16:44:17 gaia abrt[18680]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:44:22 gaia kernel: [85993.589652] clang[18681]: segfault at 4 ip 086ec449 sp bfce90f0 error 4 in clang[8048000+8c7000]
:Sep 21 16:44:22 gaia abrt[18682]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:44:43 gaia kernel: [86014.600577] clang[18683]: segfault at 4 ip 086ec449 sp bfe20ac0 error 4 in clang[8048000+8c7000]
:Sep 21 16:44:44 gaia abrt[18684]: saved core dump of pid 18683 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:44:43-18683.new/coredump (14131200 bytes)
:Sep 21 16:44:53 gaia kernel: [86024.299688] clang[18700]: segfault at 4 ip 086ec449 sp bffbf900 error 4 in clang[8048000+8c7000]
:Sep 21 16:44:53 gaia abrt[18701]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:45:01 gaia kernel: [86032.553036] clang[18708]: segfault at 4 ip 086ec449 sp bfb30820 error 4 in clang[8048000+8c7000]
:Sep 21 16:45:01 gaia abrt[18709]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:45:49 gaia kernel: [86080.049428] clang[18719]: segfault at 4 ip 086ec449 sp bfd367f0 error 4 in clang[8048000+8c7000]
:Sep 21 16:45:49 gaia abrt[18720]: saved core dump of pid 18719 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:45:49-18719.new/coredump (14249984 bytes)
:Sep 21 16:46:33 gaia kernel: [86124.249766] clang[18763]: segfault at 4 ip 086ec449 sp bfb4e290 error 4 in clang[8048000+8c7000]
:Sep 21 16:46:33 gaia abrt[18764]: saved core dump of pid 18763 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:46:33-18763.new/coredump (14254080 bytes)
:Sep 21 16:46:56 gaia kernel: [86147.593191] clang[18791]: segfault at 4 ip 086ec449 sp bf8a31a0 error 4 in clang[8048000+8c7000]
:Sep 21 16:46:57 gaia abrt[18792]: saved core dump of pid 18791 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:46:56-18791.new/coredump (14249984 bytes)
:Sep 21 16:47:50 gaia kernel: [86201.475410] clang[18823]: segfault at 4 ip 086ec449 sp bfaa8370 error 4 in clang[8048000+8c7000]
:Sep 21 16:47:50 gaia abrt[18824]: saved core dump of pid 18823 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:47:50-18823.new/coredump (14249984 bytes)
:Sep 21 16:47:57 gaia kernel: [86207.840552] clang[18841]: segfault at 4 ip 086ec449 sp bf92f760 error 4 in clang[8048000+8c7000]
:Sep 21 16:47:57 gaia abrt[18842]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:48:04 gaia kernel: [86215.631384] clang[18850]: segfault at 4 ip 086ec449 sp bfba0e70 error 4 in clang[8048000+8c7000]
:Sep 21 16:48:04 gaia abrt[18851]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:48:19 gaia kernel: [86230.466830] clang[18853]: segfault at 4 ip 086ec449 sp bf8e6080 error 4 in clang[8048000+8c7000]
:Sep 21 16:48:19 gaia abrt[18854]: saved core dump of pid 18853 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:48:19-18853.new/coredump (14254080 bytes)
:Sep 21 16:48:27 gaia kernel: [86238.188339] clang[18874]: segfault at 4 ip 086ec449 sp bf8851d0 error 4 in clang[8048000+8c7000]
:Sep 21 16:48:27 gaia abrt[18875]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:48:38 gaia kernel: [86248.919908] clang[18876]: segfault at 4 ip 086ec449 sp bfe00a50 error 4 in clang[8048000+8c7000]
:Sep 21 16:48:38 gaia abrt[18877]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:48:39 gaia kernel: [86250.429440] clang[18878]: segfault at 4 ip 086ec449 sp bfbae020 error 4 in clang[8048000+8c7000]
:Sep 21 16:48:39 gaia abrt[18879]: saved core dump of pid 18878 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:48:39-18878.new/coredump (14249984 bytes)
:Sep 21 16:48:40 gaia kernel: [86251.479163] clang[18890]: segfault at 4 ip 086ec449 sp bf836ca0 error 4 in clang[8048000+8c7000]
:Sep 21 16:48:40 gaia abrt[18896]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:49:08 gaia kernel: [86278.873156] clang[18908]: segfault at 4 ip 086ec449 sp bff13c70 error 4 in clang[8048000+8c7000]
:Sep 21 16:49:08 gaia abrt[18909]: saved core dump of pid 18908 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:49:08-18908.new/coredump (14131200 bytes)
:Sep 21 16:49:18 gaia kernel: [86289.126565] clang[18930]: segfault at 4 ip 086ec449 sp bfc0c890 error 4 in clang[8048000+8c7000]
:Sep 21 16:49:18 gaia abrt[18931]: not dumping repeating crash in '/usr/bin/clang'
:Sep 21 16:55:08 gaia kernel: [86638.807336] clang[19582]: segfault at 4 ip 086ec449 sp bfb3cc20 error 4 in clang[8048000+8c7000]
:Sep 21 16:55:08 gaia abrt[19682]: saved core dump of pid 19582 (/usr/bin/clang) to /var/spool/abrt/ccpp-2011-09-21-16:55:08-19582.new/coredump (14131200 bytes)
Comment 1 Fedora End Of Life 2012-08-07 13:22:29 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.